## org.eclipse.datatools.connectivity.oda.design.util
Class DesignAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.connectivity.oda.design.util.DesignAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class DesignAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `DesignPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`DesignAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAndExpressionAdapter()` Creates a new adapter for an object of class '`And Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createAtomicExpressionContextAdapter()` Creates a new adapter for an object of class '`Atomic Expression Context`'.
`org.eclipse.emf.common.notify.Adapter` `createAxisAttributesAdapter()` Creates a new adapter for an object of class '`Axis Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createColumnDefinitionAdapter()` Creates a new adapter for an object of class '`Column Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createCompositeFilterExpressionAdapter()` Creates a new adapter for an object of class '`Composite Filter Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createCustomDataAdapter()` Creates a new adapter for an object of class '`Custom Data`'.
`org.eclipse.emf.common.notify.Adapter` `createCustomFilterExpressionAdapter()` Creates a new adapter for an object of class '`Custom Filter Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createDataAccessDesignAdapter()` Creates a new adapter for an object of class '`Data Access Design`'.
`org.eclipse.emf.common.notify.Adapter` `createDataElementAttributesAdapter()` Creates a new adapter for an object of class '`Data Element Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createDataElementIdentifierAdapter()` Creates a new adapter for an object of class '`Data Element Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createDataElementIdentifiersAdapter()` Creates a new adapter for an object of class '`Data Element Identifiers`'.
`org.eclipse.emf.common.notify.Adapter` `createDataElementUIHintsAdapter()` Creates a new adapter for an object of class '`Data Element UI Hints`'.
`org.eclipse.emf.common.notify.Adapter` `createDataSetDesignAdapter()` Creates a new adapter for an object of class '`Data Set Design`'.
`org.eclipse.emf.common.notify.Adapter` `createDataSetParametersAdapter()` Creates a new adapter for an object of class '`Data Set Parameters`'.
`org.eclipse.emf.common.notify.Adapter` `createDataSetQueryAdapter()` Creates a new adapter for an object of class '`Data Set Query`'.
`org.eclipse.emf.common.notify.Adapter` `createDataSourceDesignAdapter()` Creates a new adapter for an object of class '`Data Source Design`'.
`org.eclipse.emf.common.notify.Adapter` `createDesignerStateAdapter()` Creates a new adapter for an object of class '`Designer State`'.
`org.eclipse.emf.common.notify.Adapter` `createDesignerStateContentAdapter()` Creates a new adapter for an object of class '`Designer State Content`'.
`org.eclipse.emf.common.notify.Adapter` `createDesignSessionRequestAdapter()` Creates a new adapter for an object of class '`Session Request`'.
`org.eclipse.emf.common.notify.Adapter` `createDesignSessionResponseAdapter()` Creates a new adapter for an object of class '`Session Response`'.
`org.eclipse.emf.common.notify.Adapter` `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` `createDynamicFilterExpressionAdapter()` Creates a new adapter for an object of class '`Dynamic Filter Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createDynamicValuesQueryAdapter()` Creates a new adapter for an object of class '`Dynamic Values Query`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createExpressionArgumentsAdapter()` Creates a new adapter for an object of class '`Expression Arguments`'.
`org.eclipse.emf.common.notify.Adapter` `createExpressionParameterDefinitionAdapter()` Creates a new adapter for an object of class '`Expression Parameter Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createExpressionParametersAdapter()` Creates a new adapter for an object of class '`Expression Parameters`'.
`org.eclipse.emf.common.notify.Adapter` `createExpressionVariableAdapter()` Creates a new adapter for an object of class '`Expression Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createFilterExpressionAdapter()` Creates a new adapter for an object of class '`Filter Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createFilterExpressionTypeAdapter()` Creates a new adapter for an object of class '`Filter Expression Type`'.
`org.eclipse.emf.common.notify.Adapter` `createInputElementAttributesAdapter()` Creates a new adapter for an object of class '`Input Element Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createInputElementUIHintsAdapter()` Creates a new adapter for an object of class '`Input Element UI Hints`'.
`org.eclipse.emf.common.notify.Adapter` `createInputParameterAttributesAdapter()` Creates a new adapter for an object of class '`Input Parameter Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createInputParameterUIHintsAdapter()` Creates a new adapter for an object of class '`Input Parameter UI Hints`'.
`org.eclipse.emf.common.notify.Adapter` `createLocaleAdapter()` Creates a new adapter for an object of class '`Locale`'.
`org.eclipse.emf.common.notify.Adapter` `createNameValuePairAdapter()` Creates a new adapter for an object of class '`Name Value Pair`'.
`org.eclipse.emf.common.notify.Adapter` `createNotExpressionAdapter()` Creates a new adapter for an object of class '`Not Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createOdaDesignSessionAdapter()` Creates a new adapter for an object of class '`Oda Design Session`'.
`org.eclipse.emf.common.notify.Adapter` `createOrExpressionAdapter()` Creates a new adapter for an object of class '`Or Expression`'.
`org.eclipse.emf.common.notify.Adapter` `createOutputElementAttributesAdapter()` Creates a new adapter for an object of class '`Output Element Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterDefinitionAdapter()` Creates a new adapter for an object of class '`Parameter Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterFieldDefinitionAdapter()` Creates a new adapter for an object of class '`Parameter Field Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createParameterFieldsAdapter()` Creates a new adapter for an object of class '`Parameter Fields`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertiesAdapter()` Creates a new adapter for an object of class '`Properties`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'.
`org.eclipse.emf.common.notify.Adapter` `createPropertyAttributesAdapter()` Creates a new adapter for an object of class '`Property Attributes`'.
`org.eclipse.emf.common.notify.Adapter` `createResourceIdentifiersAdapter()` Creates a new adapter for an object of class '`Resource Identifiers`'.
`org.eclipse.emf.common.notify.Adapter` `createResultSetColumnsAdapter()` Creates a new adapter for an object of class '`Result Set Columns`'.
`org.eclipse.emf.common.notify.Adapter` `createResultSetCriteriaAdapter()` Creates a new adapter for an object of class '`Result Set Criteria`'.
`org.eclipse.emf.common.notify.Adapter` `createResultSetDefinitionAdapter()` Creates a new adapter for an object of class '`Result Set Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createResultSetsAdapter()` Creates a new adapter for an object of class '`Result Sets`'.
`org.eclipse.emf.common.notify.Adapter` `createResultSubsetAdapter()` Creates a new adapter for an object of class '`Result Subset`'.
`org.eclipse.emf.common.notify.Adapter` `createScalarValueChoicesAdapter()` Creates a new adapter for an object of class '`Scalar Value Choices`'.
`org.eclipse.emf.common.notify.Adapter` `createScalarValueDefinitionAdapter()` Creates a new adapter for an object of class '`Scalar Value Definition`'.
`org.eclipse.emf.common.notify.Adapter` `createSortKeyAdapter()` Creates a new adapter for an object of class '`Sort Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSortSpecificationAdapter()` Creates a new adapter for an object of class '`Sort Specification`'.
`org.eclipse.emf.common.notify.Adapter` `createStaticValuesAdapter()` Creates a new adapter for an object of class '`Static Values`'.
`org.eclipse.emf.common.notify.Adapter` `createValueFormatHintsAdapter()` Creates a new adapter for an object of class '`Value Format Hints`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### DesignAdapterFactory

    public DesignAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAndExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createAndExpressionAdapter()

  Creates a new adapter for an object of class '`And Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AndExpression`

### createAtomicExpressionContextAdapter

    public org.eclipse.emf.common.notify.Adapter createAtomicExpressionContextAdapter()

  Creates a new adapter for an object of class '`Atomic Expression Context`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AtomicExpressionContext`

### createAxisAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createAxisAttributesAdapter()

  Creates a new adapter for an object of class '`Axis Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AxisAttributes`

### createColumnDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createColumnDefinitionAdapter()

  Creates a new adapter for an object of class '`Column Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColumnDefinition`

### createCompositeFilterExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createCompositeFilterExpressionAdapter()

  Creates a new adapter for an object of class '`Composite Filter Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompositeFilterExpression`

### createCustomDataAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomDataAdapter()

  Creates a new adapter for an object of class '`Custom Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomData`

### createCustomFilterExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomFilterExpressionAdapter()

  Creates a new adapter for an object of class '`Custom Filter Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CustomFilterExpression`

### createDataAccessDesignAdapter

    public org.eclipse.emf.common.notify.Adapter createDataAccessDesignAdapter()

  Creates a new adapter for an object of class '`Data Access Design`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataAccessDesign`

### createDataElementAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createDataElementAttributesAdapter()

  Creates a new adapter for an object of class '`Data Element Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataElementAttributes`

### createDataElementIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createDataElementIdentifierAdapter()

  Creates a new adapter for an object of class '`Data Element Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataElementIdentifier`

### createDataElementIdentifiersAdapter

    public org.eclipse.emf.common.notify.Adapter createDataElementIdentifiersAdapter()

  Creates a new adapter for an object of class '`Data Element Identifiers`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataElementIdentifiers`

### createDataElementUIHintsAdapter

    public org.eclipse.emf.common.notify.Adapter createDataElementUIHintsAdapter()

  Creates a new adapter for an object of class '`Data Element UI Hints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataElementUIHints`

### createDataSetDesignAdapter

    public org.eclipse.emf.common.notify.Adapter createDataSetDesignAdapter()

  Creates a new adapter for an object of class '`Data Set Design`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataSetDesign`

### createDataSetParametersAdapter

    public org.eclipse.emf.common.notify.Adapter createDataSetParametersAdapter()

  Creates a new adapter for an object of class '`Data Set Parameters`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataSetParameters`

### createDataSetQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createDataSetQueryAdapter()

  Creates a new adapter for an object of class '`Data Set Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataSetQuery`

### createDataSourceDesignAdapter

    public org.eclipse.emf.common.notify.Adapter createDataSourceDesignAdapter()

  Creates a new adapter for an object of class '`Data Source Design`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataSourceDesign`

### createDesignerStateAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignerStateAdapter()

  Creates a new adapter for an object of class '`Designer State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignerState`

### createDesignerStateContentAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignerStateContentAdapter()

  Creates a new adapter for an object of class '`Designer State Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignerStateContent`

### createDesignSessionRequestAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignSessionRequestAdapter()

  Creates a new adapter for an object of class '`Session Request`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignSessionRequest`

### createDesignSessionResponseAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignSessionResponseAdapter()

  Creates a new adapter for an object of class '`Session Response`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignSessionResponse`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createDynamicFilterExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createDynamicFilterExpressionAdapter()

  Creates a new adapter for an object of class '`Dynamic Filter Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DynamicFilterExpression`

### createDynamicValuesQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createDynamicValuesQueryAdapter()

  Creates a new adapter for an object of class '`Dynamic Values Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DynamicValuesQuery`

### createExpressionArgumentsAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionArgumentsAdapter()

  Creates a new adapter for an object of class '`Expression Arguments`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionArguments`

### createExpressionParameterDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionParameterDefinitionAdapter()

  Creates a new adapter for an object of class '`Expression Parameter Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionParameterDefinition`

### createExpressionParametersAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionParametersAdapter()

  Creates a new adapter for an object of class '`Expression Parameters`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionParameters`

### createExpressionVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionVariableAdapter()

  Creates a new adapter for an object of class '`Expression Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionVariable`

### createFilterExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterExpressionAdapter()

  Creates a new adapter for an object of class '`Filter Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterExpression`

### createFilterExpressionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterExpressionTypeAdapter()

  Creates a new adapter for an object of class '`Filter Expression Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterExpressionType`

### createInputElementAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createInputElementAttributesAdapter()

  Creates a new adapter for an object of class '`Input Element Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InputElementAttributes`

### createInputElementUIHintsAdapter

    public org.eclipse.emf.common.notify.Adapter createInputElementUIHintsAdapter()

  Creates a new adapter for an object of class '`Input Element UI Hints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InputElementUIHints`

### createInputParameterAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createInputParameterAttributesAdapter()

  Creates a new adapter for an object of class '`Input Parameter Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InputParameterAttributes`

### createInputParameterUIHintsAdapter

    public org.eclipse.emf.common.notify.Adapter createInputParameterUIHintsAdapter()

  Creates a new adapter for an object of class '`Input Parameter UI Hints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InputParameterUIHints`

### createLocaleAdapter

    public org.eclipse.emf.common.notify.Adapter createLocaleAdapter()

  Creates a new adapter for an object of class '`Locale`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Locale`

### createNameValuePairAdapter

    public org.eclipse.emf.common.notify.Adapter createNameValuePairAdapter()

  Creates a new adapter for an object of class '`Name Value Pair`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NameValuePair`

### createNotExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createNotExpressionAdapter()

  Creates a new adapter for an object of class '`Not Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotExpression`

### createOdaDesignSessionAdapter

    public org.eclipse.emf.common.notify.Adapter createOdaDesignSessionAdapter()

  Creates a new adapter for an object of class '`Oda Design Session`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OdaDesignSession`

### createOrExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOrExpressionAdapter()

  Creates a new adapter for an object of class '`Or Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrExpression`

### createOutputElementAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createOutputElementAttributesAdapter()

  Creates a new adapter for an object of class '`Output Element Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OutputElementAttributes`

### createParameterDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterDefinitionAdapter()

  Creates a new adapter for an object of class '`Parameter Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterDefinition`

### createParameterFieldDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterFieldDefinitionAdapter()

  Creates a new adapter for an object of class '`Parameter Field Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterFieldDefinition`

### createParameterFieldsAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterFieldsAdapter()

  Creates a new adapter for an object of class '`Parameter Fields`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterFields`

### createPropertiesAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertiesAdapter()

  Creates a new adapter for an object of class '`Properties`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Properties`

### createPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

  Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Property`

### createPropertyAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAttributesAdapter()

  Creates a new adapter for an object of class '`Property Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyAttributes`

### createResourceIdentifiersAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceIdentifiersAdapter()

  Creates a new adapter for an object of class '`Resource Identifiers`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceIdentifiers`

### createResultSetColumnsAdapter

    public org.eclipse.emf.common.notify.Adapter createResultSetColumnsAdapter()

  Creates a new adapter for an object of class '`Result Set Columns`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultSetColumns`

### createResultSetCriteriaAdapter

    public org.eclipse.emf.common.notify.Adapter createResultSetCriteriaAdapter()

  Creates a new adapter for an object of class '`Result Set Criteria`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultSetCriteria`

### createResultSetDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createResultSetDefinitionAdapter()

  Creates a new adapter for an object of class '`Result Set Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultSetDefinition`

### createResultSetsAdapter

    public org.eclipse.emf.common.notify.Adapter createResultSetsAdapter()

  Creates a new adapter for an object of class '`Result Sets`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultSets`

### createResultSubsetAdapter

    public org.eclipse.emf.common.notify.Adapter createResultSubsetAdapter()

  Creates a new adapter for an object of class '`Result Subset`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResultSubset`

### createScalarValueChoicesAdapter

    public org.eclipse.emf.common.notify.Adapter createScalarValueChoicesAdapter()

  Creates a new adapter for an object of class '`Scalar Value Choices`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ScalarValueChoices`

### createScalarValueDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createScalarValueDefinitionAdapter()

  Creates a new adapter for an object of class '`Scalar Value Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ScalarValueDefinition`

### createSortKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSortKeyAdapter()

  Creates a new adapter for an object of class '`Sort Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SortKey`

### createSortSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createSortSpecificationAdapter()

  Creates a new adapter for an object of class '`Sort Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SortSpecification`

### createStaticValuesAdapter

    public org.eclipse.emf.common.notify.Adapter createStaticValuesAdapter()

  Creates a new adapter for an object of class '`Static Values`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StaticValues`

### createValueFormatHintsAdapter

    public org.eclipse.emf.common.notify.Adapter createValueFormatHintsAdapter()

  Creates a new adapter for an object of class '`Value Format Hints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueFormatHints`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.